Page MenuHomePhabricator

Consistency of table views and lists (recent, search, read more)
Closed, ResolvedPublic3 Estimate Story Points

Details

Related Gerrit Patches:
apps/android/wikipedia : masterConsistent list design.

Event Timeline

KLans_WMF created this task.May 1 2015, 6:31 PM
KLans_WMF assigned this task to Vibhabamba.
KLans_WMF raised the priority of this task from to Medium.
KLans_WMF updated the task description. (Show Details)
KLans_WMF moved this task to To Do on the Mobile-App-Sprint-57-Android board.
KLans_WMF added a subscriber: KLans_WMF.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 1 2015, 6:31 PM
KLans_WMF set Security to None.May 1 2015, 6:32 PM
KLans_WMF added a subscriber: Dbrant.
Vibhabamba renamed this task from Consistency of table views and lists (recent, search, history, read more) to Consistency of table views and lists (recent, search, read more).May 6 2015, 10:12 PM
Vibhabamba added a comment.EditedMay 6 2015, 10:18 PM

Pending:
-Type scale specification for CSS.
-Deep dive into the specific template with the developer who works on this.
-Attach an RTL view

Any idea who might be picking this card up? I would like to touch base and discuss the type scale if possible.

@Vibhabamba I have my eye on this one, but let's have a chat about scope and what specifically you're looking for. Ping me on IRC anytime.

@Vibhabamba and I had a discussion about the correct alignment of RTL and LTR text fields, and here's the result:

  • If the system language is LTR, then all text fields should be left-aligned (whether or not the text itself is LTR or RTL).
  • If the system language is RTL, then all text fields should be right-aligned (whether or not the text itself is LTR or RTL).

The above is consistent with how the Android OS itself handles RTL content, and improves the visual flow of the app.

Hint: to accomplish the above behavior, all text fields should have these attributes:

android:gravity="start"
android:textDirection="anyRtl"
android:textAlignment="viewStart"

(note: the "anyRtl" property handles cases where there is mixed LTR and RTL text within the same text field.)

Dbrant claimed this task.May 19 2015, 8:57 PM
Dbrant moved this task from To Do to Doing on the Mobile-App-Sprint-57-Android board.
Dbrant edited a custom field.May 25 2015, 11:53 AM
Deskana removed a subscriber: Deskana.Jun 9 2015, 1:32 PM

Change 217130 had a related patch set uploaded (by Dbrant):
[WIP] Consistent list design.

https://gerrit.wikimedia.org/r/217130

Design Notes:
Let's remove the alphabet markers in the list view.

Currently: Search, Recent, Saved, Similar Pages, Read more will be consistent.
Nearby will have a slightly taller cell height.

Change 217130 merged by jenkins-bot:
Consistent list design.

https://gerrit.wikimedia.org/r/217130

Played with this in the latest alpha. Looks great. Waiting on one answer regarding height of the 'search this list' field from @Dbrant.

Discussed this with Dmitry, He is waiting on code review for a patch which makes search field height consistent with this mock.

Signed off by Design

Checked on 2.0.103-alpha-2015-06-24 on Samsung Tablet Ce0168(Android 4.0.4.

Dbrant closed this task as Resolved.Jul 7 2015, 7:20 PM